StrictParserTokenManager (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.selector.strict

## Class StrictParserTokenManager

- java.lang.Object
- - org.apache.activemq.artemis.selector.strict.StrictParserTokenManager

- All Implemented Interfaces:
    StrictParserConstants

      public class StrictParserTokenManager
      extends Object
      implements StrictParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected SimpleCharStream` | `input_stream`
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface org.apache.activemq.artemis.selector.strict.StrictParserConstants

      `AND, BETWEEN, BLOCK_COMMENT, DECIMAL_LITERAL, DEFAULT, EOF, ESCAPE, EXPONENT, FALSE, FLOATING_POINT_LITERAL, HEX_LITERAL, ID, IN, IS, LIKE, LINE_COMMENT, NOT, NULL, OCTAL_LITERAL, OR, STRING_LITERAL, tokenImage, TRUE, XPATH, XQUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrictParserTokenManager(SimpleCharStream stream)` Constructor.
    `StrictParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
    `void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### input_stream

          protected SimpleCharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### StrictParserTokenManager

          public StrictParserTokenManager(SimpleCharStream stream)

      Constructor.

    - #### StrictParserTokenManager

          public StrictParserTokenManager(SimpleCharStream stream,
                                          int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(SimpleCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(SimpleCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2015. All rights reserved.